log4cpp: log4cpp::CategoryStream Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# log4cpp::CategoryStream Class Reference

This class enables streaming simple types and objects to a category. More...

`#include <CategoryStream.hh>`

Collaboration diagram for log4cpp::CategoryStream:

[legend]
List of all members.

## Public Types
typedef CategoryStream &(*) | cspf (CategoryStream &)
## Public Member Functions
| CategoryStream (Category &category, Priority::Value priority)
| Construct a CategoryStream for given Category with given priority.
| ~CategoryStream ()
| Destructor for CategoryStream.
Category & | getCategory () const
| Returns the destination Category for this stream.
Priority::Value | getPriority () const throw ()
| Returns the priority for this stream.
void | flush ()
| Flush the contents of the stream buffer to the Category and empties the buffer.
template<typename T>
CategoryStream & | operator<< (const T &t)
| Stream in arbitrary types and objects.
template<typename T>
CategoryStream & | operator<< (const std::string &t)
std::streamsize | width (std::streamsize wide)
| Set the width output on CategoryStream.
CategoryStream & | operator<< (cspf)
## Friends
LOG4CPP_EXPORT friend CategoryStream & | eol (CategoryStream &os)
| eol manipulator
LOG4CPP_EXPORT friend CategoryStream & | left (CategoryStream &os)
| left manipulator

## Detailed Description

This class enables streaming simple types and objects to a category.

Use category.errorStream(), etc. to obtain a CategoryStream class.

## Member Typedef Documentation

typedef CategoryStream&(*) log4cpp::CategoryStream::cspf(CategoryStream &)

## Constructor & Destructor Documentation

log4cpp::CategoryStream::CategoryStream | ( | Category & | category,
|  | Priority::Value | priority |
| ) |  |  |

Construct a CategoryStream for given Category with given priority.

Parameters:

  | category | The category this stream will send log messages to.
  | priority | The priority the log messages will get or Priority::NOTSET to silently discard any streamed in messages.

log4cpp::CategoryStream::~CategoryStream | ( |  | ) |

Destructor for CategoryStream.

## Member Function Documentation

Category& log4cpp::CategoryStream::getCategory | ( |  | ) | const`[inline]`

Returns the destination Category for this stream.

Returns:
  The Category.

Priority::Value log4cpp::CategoryStream::getPriority | ( |  | ) | const throw ()`[inline]`

Returns the priority for this stream.

Returns:
  The priority.

void log4cpp::CategoryStream::flush | ( |  | ) |

Flush the contents of the stream buffer to the Category and empties the buffer.

template<typename T>

CategoryStream& log4cpp::CategoryStream::operator<< | ( | const T & | t | ) | `[inline]`

Stream in arbitrary types and objects.

Parameters:

  | t | The value or object to stream in.

Returns:
  A reference to itself.

template<typename T>

CategoryStream& log4cpp::CategoryStream::operator<< | ( | const std::string & | t | ) | `[inline]`

std::streamsize log4cpp::CategoryStream::width | ( | std::streamsize | wide | ) |

Set the width output on CategoryStream.

CategoryStream & log4cpp::CategoryStream::operator<< | ( | cspf |  | ) |

## Friends And Related Function Documentation

LOG4CPP_EXPORT friend CategoryStream& eol | ( | CategoryStream & | os | ) | `[friend]`

eol manipulator

LOG4CPP_EXPORT friend CategoryStream& left | ( | CategoryStream & | os | ) | `[friend]`

left manipulator

## Member Data Documentation

std::ostringstream* log4cpp::CategoryStream::_buffer

The documentation for this class was generated from the following files:

- CategoryStream.hh
- CategoryStream.cpp